import React from "react";
import { MenuItemProps } from "@material-ui/core/MenuItem";
import { SelectProps as MuiSelectProps } from "@material-ui/core/Select";
export interface IBasicSelectItemProps extends MenuItemProps<"li", {
    button?: true;
}> {
    value?: number | string;
    itemClassName?: string;
}
export interface ISelectCustomProps {
    placeholder?: string;
    width?: number | string;
    vertical?: "top" | "bottom";
    autoDirection?: boolean;
    maxDisplay?: number;
    minDisplay?: number;
    itemHeight?: number;
    itemMarginBottom?: number;
    keyName?: string;
    labelName?: string;
    value?: string[] | number[] | string | number;
    options: any[];
    customizeItem?: (data: any) => React.ReactNode;
    MenuItemProps?: IBasicSelectItemProps;
}
export declare type TBasicSelectProps = ISelectCustomProps & MuiSelectProps;
declare const BasicSelect: React.FC<TBasicSelectProps>;
declare const BasicSelectItem: React.FC<IBasicSelectItemProps>;
export { BasicSelect, BasicSelectItem };
export default BasicSelect;
